Subject: Re: [Roll] downward routing question

From: "Navneet Agarwal (navagar)" <[email-masked]>
Date: Mon, 5 Jul 2010 12:05:39 +0530

Hi Pascal:
Does this mean that there would be an equivalent 'R' bit in RPL spec
also as mentioned in RFC 3775 section 7.2? I did not see it in rev-10

Thx

Regards,
Navneet

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Pascal Thubert (pthubert)
> Sent: Tuesday, June 15, 2010 2:11 PM
> To: Reddy, Joseph; [email-masked]
> Subject: Re: [Roll] downward routing question
> 
> Hi Joseph:
> 
> This is certainly missing from 09 to be fixed in 10. 
> 
> In RFC 3775 section 7.2, this is done by placing the full 
> address of the "parent" in the PIO as opposed to truncating 
> to the prefix.
> 
> I suggest we do the same thing in non-storing mode. In that 
> mode, when a router advertises a PIO option in a DIO message, 
> it places its address that matches the prefix in the PIO, 
> thus overriding the suffix but preserving the prefix. Only 
> addresses that match the prefix advertised by the root can be 
> used for that purpose.
> 
> Makes sense?
> 
> Pascal
> 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On Behalf
> Of
> > Reddy, Joseph
> > Sent: Tuesday, June 15, 2010 3:17 AM
> > To: [email-masked]
> > Subject: [Roll] downward routing question
> > 
> > 
> > 
> > Hi,
> > 
> > I have a question on the downward routing feature in RPL
> > 
> > The DIO packets are transmitted with source address set to the link
> local
> > address of the routers. So a new device that joins the DAG has only
> the LL
> > address of the parent routers. So it can only include these 
> in the DAO
> that it
> > transmits.
> > 
> > Can the root node include the list of link local addresses in the
> source routing
> > header ? I think not, it must include global addresses of all the
> intermediate
> > routers. So how can a new device discover global addresses 
> of its DIO 
> > parents ?
> > 
> > 
> > -Regards, Joseph
> > 
> > _______________________________________________
> > Roll mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/roll
> _______________________________________________
> Roll mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/roll
>